> ## Documentation Index
> Fetch the complete documentation index at: https://docs.halth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Download business report

> Download a CSV report for a business



## OpenAPI

````yaml https://api.halth.com/v1/api-yaml post /v1/businesses/{businessId}/reports
openapi: 3.0.0
info:
  title: HaltH API
  description: The API for the HaltH platform business services
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.halth.com
    description: Production
  - url: https://api.stg.halth.com
    description: Staging
security: []
tags: []
paths:
  /v1/businesses/{businessId}/reports:
    post:
      tags:
        - Reports
      summary: Download business report
      description: Download a CSV report for a business
      operationId: BusinessReportController_download
      parameters:
        - name: businessId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BusinessReportParams'
      responses:
        '201':
          description: ''
components:
  schemas:
    BusinessReportParams:
      type: object
      properties:
        type:
          type: string
          enum:
            - payment_transactions
        status:
          type: array
          items:
            type: string
            enum:
              - pending
              - confirmed
              - reversed
              - refunded
              - requires_confirmation
              - requires_payment
              - requires_review
              - failed
        createdAtMin:
          format: date-time
          type: string
        createdAtMax:
          format: date-time
          type: string
      required:
        - type
        - createdAtMin
        - createdAtMax

````